--- R-2.10.1/src/modules/lapack/cmplx.f.orig	Tue Mar 25 13:26:45 2008
+++ R-2.10.1/src/modules/lapack/cmplx.f	Sat Dec 19 05:42:33 2009
@@ -265,13 +265,12 @@
      $                   SN, THRESH, TOL, TOLMUL, UNFL
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLARTG, DLAS2, DLASQ1, DLASV2, XERBLA, ZDROT,
-     $                   ZDSCAL, ZLASR, ZSWAP
+      EXTERNAL           DLARTG, DLAS2, DLASQ1, DLASV2, XERBLA,
+     $                   ZLASR
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, DBLE, MAX, MIN, SIGN, SQRT
@@ -889,7 +888,7 @@
       EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLABAD, ZDSCAL
+      EXTERNAL           DLABAD
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS
@@ -1026,12 +1025,8 @@
       INTEGER            I, II, K
       DOUBLE PRECISION   S
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           XERBLA, ZDSCAL, ZSWAP
+      EXTERNAL           XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX, MIN
@@ -1257,13 +1252,11 @@
       COMPLEX*16         CDUM
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      INTEGER            IZAMAX
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, IZAMAX, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           XERBLA, ZDSCAL, ZSWAP
+      EXTERNAL           XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, DBLE, DIMAG, MAX, MIN
@@ -1866,7 +1859,7 @@
       DOUBLE PRECISION   WS
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           XERBLA, ZGEBD2, ZGEMM, ZLABRD
+      EXTERNAL           XERBLA, ZGEBD2, ZLABRD
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          DBLE, MAX, MIN
@@ -2068,10 +2061,8 @@
       INTEGER            ISAVE( 3 )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      INTEGER            IZAMAX
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, IZAMAX, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           XERBLA, ZDRSCL, ZLACN2, ZLATRS
@@ -2299,14 +2290,13 @@
       DOUBLE PRECISION   DUM( 1 )
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLABAD, XERBLA, ZDSCAL, ZGEBAK, ZGEBAL, ZGEHRD,
-     $                   ZHSEQR, ZLACPY, ZLASCL, ZSCAL, ZTREVC, ZUNGHR
+      EXTERNAL           DLABAD, XERBLA, ZGEBAK, ZGEBAL, ZGEHRD,
+     $                   ZHSEQR, ZLACPY, ZLASCL, ZTREVC, ZUNGHR
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      INTEGER            IDAMAX, ILAENV
-      DOUBLE PRECISION   DLAMCH, DZNRM2, ZLANGE
-      EXTERNAL           LSAME, IDAMAX, ILAENV, DLAMCH, DZNRM2, ZLANGE
+      INTEGER            ILAENV
+      DOUBLE PRECISION   DLAMCH, ZLANGE
+      EXTERNAL           ILAENV, DLAMCH, ZLANGE
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          DBLE, DCMPLX, DCONJG, DIMAG, MAX, SQRT
@@ -2845,7 +2835,7 @@
       COMPLEX*16        T( LDT, NBMAX )
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           ZAXPY, ZGEHD2, ZGEMM, ZLAHR2, ZLARFB, ZTRMM,
+      EXTERNAL           ZGEHD2, ZLAHR2, ZLARFB,
      $                   XERBLA
 *     ..
 *     .. Intrinsic Functions ..
@@ -3416,12 +3406,11 @@
      $                   NBMIN, NFXD, NX, SM, SMINMN, SN, TOPBMN
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           XERBLA, ZGEQRF, ZLAQP2, ZLAQPS, ZSWAP, ZUNMQR
+      EXTERNAL           XERBLA, ZGEQRF, ZLAQP2, ZLAQPS, ZUNMQR
 *     ..
 *     .. External Functions ..
       INTEGER            ILAENV
-      DOUBLE PRECISION   DZNRM2
-      EXTERNAL           ILAENV, DZNRM2
+      EXTERNAL           ILAENV
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          INT, MAX, MIN
@@ -4189,15 +4178,14 @@
       COMPLEX*16         CDUM( 1 )
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLASCL, XERBLA, ZBDSQR, ZGEBRD, ZGELQF, ZGEMM,
+      EXTERNAL           DLASCL, XERBLA, ZBDSQR, ZGEBRD, ZGELQF,
      $                   ZGEQRF, ZLACPY, ZLASCL, ZLASET, ZUNGBR, ZUNGLQ,
      $                   ZUNGQR, ZUNMBR
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
       DOUBLE PRECISION   DLAMCH, ZLANGE
-      EXTERNAL           LSAME, ILAENV, DLAMCH, ZLANGE
+      EXTERNAL           ILAENV, DLAMCH, ZLANGE
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX, MIN, SQRT
@@ -7703,11 +7691,10 @@
 *     ..
 *     .. External Functions ..
       DOUBLE PRECISION   DLAMCH
-      INTEGER            IZAMAX
-      EXTERNAL           DLAMCH, IZAMAX
+      EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           XERBLA, ZGERU, ZSCAL, ZSWAP
+      EXTERNAL           XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX, MIN
@@ -7848,7 +7835,7 @@
       INTEGER            I, IINFO, J, JB, NB
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           XERBLA, ZGEMM, ZGETF2, ZLASWP, ZTRSM
+      EXTERNAL           XERBLA, ZGETF2, ZLASWP
 *     ..
 *     .. External Functions ..
       INTEGER            ILAENV
@@ -8010,12 +7997,8 @@
 *     .. Local Scalars ..
       LOGICAL            NOTRAN
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           XERBLA, ZLASWP, ZTRSM
+      EXTERNAL           XERBLA, ZLASWP
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
@@ -8181,13 +8164,12 @@
      $                   SMLNUM
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
       DOUBLE PRECISION   DLAMCH, ZLANHE
-      EXTERNAL           LSAME, ILAENV, DLAMCH, ZLANHE
+      EXTERNAL           ILAENV, DLAMCH, ZLANHE
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DSCAL, DSTERF, XERBLA, ZHETRD, ZLASCL, ZSTEQR,
+      EXTERNAL           DSTERF, XERBLA, ZHETRD, ZLASCL, ZSTEQR,
      $                   ZUNGTR
 *     ..
 *     .. Intrinsic Functions ..
@@ -8436,13 +8418,8 @@
       COMPLEX*16         ALPHA, TAUI
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           XERBLA, ZAXPY, ZHEMV, ZHER2, ZLARFG
+      EXTERNAL           XERBLA, ZHEMV, ZHER2, ZLARFG
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      COMPLEX*16         ZDOTC
-      EXTERNAL           LSAME, ZDOTC
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          DBLE, MAX, MIN
 *     ..
@@ -8711,9 +8688,8 @@
       INTRINSIC          MAX
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. Executable Statements ..
 *
@@ -9105,11 +9081,10 @@
 *     ..
 *     .. External Functions ..
       INTEGER            ILAENV
-      LOGICAL            LSAME
-      EXTERNAL           ILAENV, LSAME
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           XERBLA, ZCOPY, ZLACPY, ZLAHQR, ZLAQR0, ZLASET
+      EXTERNAL           XERBLA, ZLACPY, ZLAHQR, ZLAQR0, ZLASET
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          DBLE, DCMPLX, MAX, MIN
@@ -9404,7 +9379,7 @@
       COMPLEX*16         ALPHA
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           ZGEMV, ZLACGV, ZLARFG, ZSCAL
+      EXTERNAL           ZLACGV, ZLARFG
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MIN
@@ -9735,10 +9710,6 @@
       INTEGER            IZMAX1
       DOUBLE PRECISION   DLAMCH, DZSUM1
       EXTERNAL           IZMAX1, DLAMCH, DZSUM1
-*     ..
-*     .. External Subroutines ..
-      EXTERNAL           ZCOPY
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, DBLE, DCMPLX, DIMAG
 *     ..
@@ -9919,10 +9890,6 @@
 *     .. Local Scalars ..
       INTEGER            I, J
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MIN
 *     ..
@@ -10148,7 +10115,7 @@
       EXTERNAL           ZLADIV, DLAMCH
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLABAD, ZCOPY, ZLARFG, ZSCAL
+      EXTERNAL           DLABAD, ZLARFG
 *     ..
 *     .. Statement Functions ..
       DOUBLE PRECISION   CABS1
@@ -10591,8 +10558,8 @@
       COMPLEX*16        EI
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           ZAXPY, ZCOPY, ZGEMM, ZGEMV, ZLACPY,
-     $                   ZLARFG, ZSCAL, ZTRMM, ZTRMV, ZLACGV
+      EXTERNAL           ZLACPY,
+     $                   ZLARFG, ZLACGV
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MIN
@@ -10826,8 +10793,7 @@
       COMPLEX*16         EI
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           ZAXPY, ZCOPY, ZGEMV, ZLACGV, ZLARFG, ZSCAL,
-     $                   ZTRMV
+      EXTERNAL           ZLACGV, ZLARFG
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MIN
@@ -10999,10 +10965,6 @@
       INTEGER            I, J
       DOUBLE PRECISION   SCALE, SUM, VALUE
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           ZLASSQ
 *     ..
@@ -11153,10 +11115,6 @@
       INTEGER            I, J
       DOUBLE PRECISION   ABSA, SCALE, SUM, VALUE
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           ZLASSQ
 *     ..
@@ -11328,10 +11286,6 @@
       INTEGER            I, J
       DOUBLE PRECISION   SCALE, SUM, VALUE
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           ZLASSQ
 *     ..
@@ -11494,10 +11448,6 @@
       INTEGER            I, J
       DOUBLE PRECISION   SCALE, SUM, VALUE
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           ZLASSQ
 *     ..
@@ -11767,15 +11717,14 @@
       COMPLEX*16         AII
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           ZLARF, ZLARFG, ZSWAP
+      EXTERNAL           ZLARF, ZLARFG
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, DCONJG, MAX, MIN, SQRT
 *     ..
 *     .. External Functions ..
-      INTEGER            IDAMAX
-      DOUBLE PRECISION   DLAMCH, DZNRM2
-      EXTERNAL           IDAMAX, DLAMCH, DZNRM2
+      DOUBLE PRECISION   DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Executable Statements ..
 *
@@ -11958,15 +11907,14 @@
       COMPLEX*16         AKK
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           ZGEMM, ZGEMV, ZLARFG, ZSWAP
+      EXTERNAL           ZLARFG
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, DBLE, DCONJG, MAX, MIN, NINT, SQRT
 *     ..
 *     .. External Functions ..
-      INTEGER            IDAMAX
-      DOUBLE PRECISION   DLAMCH, DZNRM2
-      EXTERNAL           IDAMAX, DLAMCH, DZNRM2
+      DOUBLE PRECISION   DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Executable Statements ..
 *
@@ -12991,7 +12939,7 @@
       EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLABAD, ZCOPY, ZGEHRD, ZGEMM, ZLACPY, ZLAHQR,
+      EXTERNAL           DLABAD, ZGEHRD, ZLACPY, ZLAHQR,
      $                   ZLARF, ZLARFG, ZLASET, ZTREXC, ZUNGHR
 *     ..
 *     .. Intrinsic Functions ..
@@ -13426,7 +13374,7 @@
       EXTERNAL           DLAMCH, ILAENV
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLABAD, ZCOPY, ZGEHRD, ZGEMM, ZLACPY, ZLAHQR,
+      EXTERNAL           DLABAD, ZGEHRD, ZLACPY, ZLAHQR,
      $                   ZLAQR4, ZLARF, ZLARFG, ZLASET, ZTREXC, ZUNGHR
 *     ..
 *     .. Intrinsic Functions ..
@@ -14470,8 +14418,7 @@
       COMPLEX*16         VT( 3 )
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLABAD, ZGEMM, ZLACPY, ZLAQR1, ZLARFG, ZLASET,
-     $                   ZTRMM
+      EXTERNAL           DLABAD, ZLACPY, ZLAQR1, ZLARFG, ZLASET
 *     ..
 *     .. Statement Functions ..
       DOUBLE PRECISION   CABS1
@@ -15189,13 +15136,6 @@
       PARAMETER          ( ONE = ( 1.0D+0, 0.0D+0 ),
      $                   ZERO = ( 0.0D+0, 0.0D+0 ) )
 *     ..
-*     .. External Subroutines ..
-      EXTERNAL           ZGEMV, ZGERC
-*     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Executable Statements ..
 *
       IF( LSAME( SIDE, 'L' ) ) THEN
@@ -15332,12 +15272,8 @@
       CHARACTER          TRANST
       INTEGER            I, J
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           ZCOPY, ZGEMM, ZLACGV, ZTRMM
+      EXTERNAL           ZLACGV
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          DCONJG
@@ -15911,16 +15847,13 @@
       DOUBLE PRECISION   ALPHI, ALPHR, BETA, RSAFMN, SAFMIN, XNORM
 *     ..
 *     .. External Functions ..
-      DOUBLE PRECISION   DLAMCH, DLAPY3, DZNRM2
+      DOUBLE PRECISION   DLAMCH, DLAPY3
       COMPLEX*16         ZLADIV
-      EXTERNAL           DLAMCH, DLAPY3, DZNRM2, ZLADIV
+      EXTERNAL           DLAMCH, DLAPY3, ZLADIV
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, DBLE, DCMPLX, DIMAG, SIGN
 *     ..
-*     .. External Subroutines ..
-      EXTERNAL           ZDSCAL, ZSCAL
-*     ..
 *     .. Executable Statements ..
 *
       IF( N.LE.0 ) THEN
@@ -16101,12 +16034,8 @@
       COMPLEX*16         VII
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           ZGEMV, ZLACGV, ZTRMV
+      EXTERNAL           ZLACGV
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Executable Statements ..
 *
 *     Quick return if possible
@@ -16285,13 +16214,6 @@
       COMPLEX*16         SUM, T1, T10, T2, T3, T4, T5, T6, T7, T8, T9,
      $                   V1, V10, V2, V3, V4, V5, V6, V7, V8, V9
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
-*     .. External Subroutines ..
-      EXTERNAL           ZGEMV, ZGERC
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          DCONJG
 *     ..
@@ -17133,9 +17055,8 @@
       DOUBLE PRECISION   BIGNUM, CFROM1, CFROMC, CTO1, CTOC, MUL, SMLNUM
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, MIN
@@ -17371,10 +17292,6 @@
 *     .. Local Scalars ..
       INTEGER            I, J
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MIN
 *     ..
@@ -17582,10 +17499,6 @@
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           XERBLA
 *     ..
@@ -18160,13 +18073,8 @@
       COMPLEX*16         ALPHA
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           ZAXPY, ZGEMV, ZHEMV, ZLACGV, ZLARFG, ZSCAL
+      EXTERNAL           ZHEMV, ZLACGV, ZLARFG
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      COMPLEX*16         ZDOTC
-      EXTERNAL           LSAME, ZDOTC
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          DBLE, MIN
 *     ..
@@ -18474,15 +18382,12 @@
       COMPLEX*16         CSUMJ, TJJS, USCAL, ZDUM
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      INTEGER            IDAMAX, IZAMAX
-      DOUBLE PRECISION   DLAMCH, DZASUM
-      COMPLEX*16         ZDOTC, ZDOTU, ZLADIV
-      EXTERNAL           LSAME, IDAMAX, IZAMAX, DLAMCH, DZASUM, ZDOTC,
-     $                   ZDOTU, ZLADIV
+      DOUBLE PRECISION   DLAMCH
+      COMPLEX*16         ZLADIV
+      EXTERNAL           DLAMCH, ZLADIV
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DSCAL, XERBLA, ZAXPY, ZDSCAL, ZTRSV
+      EXTERNAL           XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, DBLE, DCMPLX, DCONJG, DIMAG, MAX, MIN
@@ -19243,13 +19148,8 @@
       INTEGER            J
       DOUBLE PRECISION   AJJ
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      COMPLEX*16         ZDOTC
-      EXTERNAL           LSAME, ZDOTC
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           XERBLA, ZDSCAL, ZGEMV, ZLACGV
+      EXTERNAL           XERBLA, ZLACGV
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          DBLE, MAX, SQRT
@@ -19414,12 +19314,11 @@
       INTEGER            J, JB, NB
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           XERBLA, ZGEMM, ZHERK, ZPOTF2, ZTRSM
+      EXTERNAL           XERBLA, ZHERK, ZPOTF2
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX, MIN
@@ -19715,13 +19614,12 @@
      $                   S, SAFMAX, SAFMIN, SSFMAX, SSFMIN, TST
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH, DLANST, DLAPY2
-      EXTERNAL           LSAME, DLAMCH, DLANST, DLAPY2
+      EXTERNAL           DLAMCH, DLANST, DLAPY2
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DLAE2, DLAEV2, DLARTG, DLASCL, DLASRT, XERBLA,
-     $                   ZLASET, ZLASR, ZSWAP
+     $                   ZLASET, ZLASR
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, SIGN, SQRT
@@ -20215,10 +20113,8 @@
       INTEGER            ISAVE( 3 )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      INTEGER            IZAMAX
       DOUBLE PRECISION   DLAMCH, ZLANTR
-      EXTERNAL           LSAME, IZAMAX, DLAMCH, ZLANTR
+      EXTERNAL           DLAMCH, ZLANTR
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           XERBLA, ZDRSCL, ZLACN2, ZLATRS
@@ -20479,13 +20375,11 @@
       COMPLEX*16         CDUM
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      INTEGER            IZAMAX
-      DOUBLE PRECISION   DLAMCH, DZASUM
-      EXTERNAL           LSAME, IZAMAX, DLAMCH, DZASUM
+      DOUBLE PRECISION   DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           XERBLA, ZCOPY, ZDSCAL, ZGEMV, ZLATRS
+      EXTERNAL           XERBLA, ZLATRS
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, DBLE, DCMPLX, DCONJG, DIMAG, MAX
@@ -20783,10 +20677,6 @@
       DOUBLE PRECISION   CS
       COMPLEX*16         SN, T11, T22, TEMP
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           XERBLA, ZLARTG, ZROT
 *     ..
@@ -20961,12 +20851,8 @@
 *     .. Local Scalars ..
       LOGICAL            NOUNIT
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           XERBLA, ZTRSM
+      EXTERNAL           XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
@@ -21091,7 +20977,7 @@
       INTEGER            I, II, J, L
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           XERBLA, ZLARF, ZSCAL
+      EXTERNAL           XERBLA, ZLARF
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
@@ -21219,7 +21105,7 @@
       INTEGER            I, J, L
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           XERBLA, ZLARF, ZSCAL
+      EXTERNAL           XERBLA, ZLARF
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
@@ -21387,9 +21273,8 @@
       INTEGER            I, IINFO, J, LWKOPT, MN, NB
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           XERBLA, ZUNGLQ, ZUNGQR
@@ -21758,7 +21643,7 @@
       INTEGER            I, J, L
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           XERBLA, ZLACGV, ZLARF, ZSCAL
+      EXTERNAL           XERBLA, ZLACGV, ZLARF
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          DCONJG, MAX
@@ -22548,7 +22433,7 @@
       INTEGER            I, II, J, L
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           XERBLA, ZLACGV, ZLARF, ZSCAL
+      EXTERNAL           XERBLA, ZLACGV, ZLARF
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          DCONJG, MAX
@@ -22915,9 +22800,8 @@
       INTEGER            I, IINFO, J, LWKOPT, NB
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           XERBLA, ZUNGQL, ZUNGQR
@@ -23121,10 +23005,6 @@
       INTEGER            I, I1, I2, I3, IC, JC, MI, NI, NQ
       COMPLEX*16         AII, TAUI
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           XERBLA, ZLARF
 *     ..
@@ -23350,9 +23230,8 @@
       INTEGER            I1, I2, IINFO, LWKOPT, MI, NB, NI, NQ, NW
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           XERBLA, ZUNMLQ, ZUNMQR
@@ -23610,10 +23489,6 @@
       INTEGER            I, I1, I2, I3, IC, JC, MI, NI, NQ
       COMPLEX*16         AII, TAUI
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           XERBLA, ZLACGV, ZLARF
 *     ..
@@ -23828,9 +23703,8 @@
       COMPLEX*16         T( LDT, NBMAX )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           XERBLA, ZLARFB, ZLARFT, ZUNML2
@@ -24094,9 +23968,8 @@
       COMPLEX*16         T( LDT, NBMAX )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           XERBLA, ZLARFB, ZLARFT, ZUNM2R
--- R-2.10.1/src/library/stats/src/loessf.f.orig	Fri Mar 20 00:05:12 2009
+++ R-2.10.1/src/library/stats/src/loessf.f	Sat Dec 19 07:59:31 2009
@@ -240,11 +240,10 @@
      +     colnor(15),dist(n),eta(nf),dgamma(15),q(d),qraux(15),rw(n),
      +     s(0:od),w(nf),work(15),x(n,d),y(n)
 
-      integer idamax
-      double precision d1mach, ddot
+      double precision d1mach
 
       external ehg106,ehg182,ehg184,dqrdc,dqrsl,dsvdc
-      external idamax, d1mach, ddot
+      external d1mach
 
       save machep,execnt
       data execnt /0/
@@ -430,8 +429,6 @@
      +     eta(nf),rw(n),v(nvmax,d),vval(0:d,nvmax),vval2(0:d,nvmax),
      +     w(nf),x(n,d),xi(ncmax),y(n)
       external ehg126,ehg182,ehg139,ehg124
-      double precision dnrm2
-      external dnrm2
 c     Identity -> identi
 c     X -> b
       if(.not.(d.le.8))then
@@ -555,8 +552,6 @@
       integer i,j,n
       double precision delta1,delta2,trl
       double precision l(n,n),ll(n,n)
-      double precision ddot
-      external ddot
 c     compute $LL~=~(I-L)(I-L)'$
       do 3 i=1,n
 	 l(i,i)=l(i,i)-1
@@ -1226,8 +1221,6 @@
      $     u(lm,d),w(nf),work(15),x(n,d),y(n)
 
       external ehg127,ehg182,dqrsl
-      double precision ddot
-      external ddot
 
 c     V -> g
 c     U -> e
@@ -1348,8 +1341,6 @@
       external ehg127,ehg182,DQRSL,ehg137
       DOUBLE PRECISION ehg128
       external ehg128
-      DOUBLE PRECISION DDOT
-      external DDOT
 
 c     V -> e
 c     Identity -> identi
@@ -1855,8 +1846,6 @@
       DOUBLE PRECISION diam,diag(8),sigma(8)
 
       external ehg125,ehg106,ehg129
-      integer IDAMAX
-      external IDAMAX
       p=1
       l=ll
       u=uu
